--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: List all descedents of this class.
- !ruby/struct:SM::Flow::VERB 
  body: "  class X ; end\n  class A &lt; X; end\n  class B &lt; X; end\n  X.descendents  #=&gt; [A,B]\n"
- !ruby/struct:SM::Flow::P 
  body: "NOTE: This is a intesive operation. Do not expect it to be super fast."
full_name: Class#descendents
is_singleton: false
name: descendents
params: ()
visibility: public
